Update an existing pet.
curl --request PUT \
--url https://petstore3.swagger.io/api/v3/pet \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "doggie",
"photoUrls": [
"<string>"
],
"id": 10,
"category": {
"id": 1,
"name": "Dogs"
},
"tags": [
{
"id": 123,
"name": "<string>"
}
]
}
'import requests
url = "https://petstore3.swagger.io/api/v3/pet"
payload = {
"name": "doggie",
"photoUrls": ["<string>"],
"id": 10,
"category": {
"id": 1,
"name": "Dogs"
},
"tags": [
{
"id": 123,
"name": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'doggie',
photoUrls: ['<string>'],
id: 10,
category: {id: 1, name: 'Dogs'},
tags: [{id: 123, name: '<string>'}]
})
};
fetch('https://petstore3.swagger.io/api/v3/pet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "doggie",
"photoUrls": [
"<string>"
],
"id": 10,
"category": {
"id": 1,
"name": "Dogs"
},
"tags": [
{
"id": 123,
"name": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>"
}pet
Update an existing pet.
Update an existing pet by Id.
PUT
/
pet
Update an existing pet.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/jsonapplication/xmlapplication/x-www-form-urlencoded
Update an existent pet in the store
⌘I